<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2021 Amasty (https://www.amasty.com)
 * @package Amasty_PreOrderAnalytic
 */
-->

<listing xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <argument name="data" xsi:type="array">
        <item name="config" xsi:type="array">
            <item name="component" xsi:type="string">Amasty_PreOrderAnalytic/js/components/bestsellers-list</item>
        </item>
        <item name="js_config" xsi:type="array">
            <item name="provider" xsi:type="string">amasty_preorder_bestseller_listing.amasty_preorder_bestseller_listing_data_source</item>
            <item name="deps" xsi:type="string">amasty_preorder_bestseller_listing.amasty_preorder_bestseller_listing_data_source</item>
        </item>
    </argument>
    <dataSource name="amasty_preorder_bestseller_listing_data_source">
        <argument name="dataProvider" xsi:type="configurableObject">
            <argument name="class" xsi:type="string">Amasty\PreOrderAnalytic\Ui\DataProvider\Bestseller\Listing\DataProvider</argument>
            <argument name="name" xsi:type="string">amasty_preorder_bestseller_listing_data_source</argument>
            <argument name="primaryFieldName" xsi:type="string">id</argument>
            <argument name="requestFieldName" xsi:type="string">id</argument>
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="update_url" xsi:type="url" path="mui/index/render"/>
                    <item name="storageConfig" xsi:type="array">
                        <item name="indexField" xsi:type="string">id</item>
                    </item>
                </item>
            </argument>
        </argument>
        <argument name="data" xsi:type="array">
            <item name="js_config" xsi:type="array">
                <item name="component" xsi:type="string">uiComponent</item>
            </item>
        </argument>
    </dataSource>
    <component name="amasty_preorder_table">
        <argument name="data" xsi:type="array">
            <item name="config" xsi:type="array">
                <item name="isDisabled" xsi:type="boolean">true</item>
                <item name="component" xsi:type="string">Amasty_PreOrderAnalytic/js/components/table</item>
            </item>
        </argument>
    </component>
    <columns name="amasty_preorder_bestseller_columns">
        <column name="increment_number" class="Amasty\PreOrderAnalytic\Ui\Component\Listing\Column\IncrementId">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string">#</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">5</item>
                </item>
            </argument>
        </column>
        <column name="name" class="Amasty\PreOrderAnalytic\Ui\Component\Listing\Column\ProductName">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Name</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">10</item>
                </item>
            </argument>
        </column>
        <column name="qty" class="Amasty\PreOrderAnalytic\Ui\Component\Listing\Column\Qty">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Qty</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">20</item>
                </item>
            </argument>
        </column>
        <column name="revenue" class="Magento\Sales\Ui\Component\Listing\Column\Price">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Revenue</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">30</item>
                </item>
            </argument>
        </column>
    </columns>
</listing>
